<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="post"
            type="com.example.ap_sql.model.PostViewModel"/>
        <import type="java.text.SimpleDateFormat"/>
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/colorPrimaryDark">

        <include
            layout="@layout/post_view"
            android:id="@+id/post"
            android:layout_height="160dp"
            android:layout_width="match_parent"
            android:layout_margin="8dp"
            app:post="@{post}"
            app:layout_constraintTop_toTopOf="parent"/>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/commentRecyclerView"
            android:layout_width="match_parent"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@id/add"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/post"
            />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/add"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:hint="@string/comment"
            android:padding="4dp"
            android:textSize="20sp"
            android:background="@color/colorWhite"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toStartOf="@id/addBtn"/>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/addBtn"
            android:background="@color/colorPrimary"
            android:layout_width="64dp"
            android:layout_height="48dp"
            android:text="@string/add"
            android:textColor="@color/colorWhite"
            android:fontFamily="@font/ancient"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/add"
            app:layout_constraintBottom_toBottomOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
